curl --request GET \
--url https://whitebit.com/api/v4/public/orderbook/{market}import requests
url = "https://whitebit.com/api/v4/public/orderbook/{market}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://whitebit.com/api/v4/public/orderbook/{market}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Orderbook
The endpoint retrieves the current order book as two arrays (bids / asks) with additional parameters.
The API caches the response for 100 ms
Rate limit 600 requests/10 sec.
Path Parameters
Market pair name
"BTC_USDT"
Query Parameters
Orders depth quantity: 0 - 100. Not defined or 0 will return 100 entries.
0 <= x <= 100100
Aggregation level for price grouping. Level 0 applies no aggregation. Levels 1–5 provide increasing aggregation of the order book; values up to 10 are accepted. Out-of-range values are clamped to the 0–10 range rather than rejected.
0 <= x <= 102
Response
Successful response
Market Name
"BTC_PERP"
Current timestamp
1594391413
Array of ask orders
[price, quantity] — price in quote currency, quantity in base currency
2 elements["9184.41", "0.773162"]
Array of bid orders
[price, quantity] — price in quote currency, quantity in base currency
2 elements["9181.19", "0.010873"]
Was this page helpful?